uuid: dad495ce-2e7f-48b1-9630-8a2dbb43b9c2
langcode: es
status: true
dependencies: {  }
id: gronze_pg_section_text
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'section_text PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: section_text
process:
  langcode:
    plugin: default_value
    default_value: es
  field_rel_text_seccions:
    plugin: sub_process
    source: field_text_section
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_text_sections
        source: tid
        no_stub: true
  field_text_body:
    plugin: sub_process
    source: field_text_body
    process:
      value: value
      format:
        plugin: text_format_map
        source: format
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: section_text
migration_dependencies:
  required:
    - gronze_taxonomy_text_sections
